package at.jku.ssw.pi.map.ue09;

import at.jku.ssw.pi.dot.DotMaker;
import at.jku.ssw.pi.map.Element;
import at.jku.ssw.pi.map.Map;

public abstract class HashMap extends Map {

	protected static final int TAB_SIZE = 997;
	protected Element[] table = new Element[TAB_SIZE];

	@Override
	public String makeDot() {
		return DotMaker.makeDotForHashtable(table);
	}

	@Override
	public String makeDot(float width) {
		return DotMaker.makeDotForHashtable(table, width);
	}

	public static int hash(String key) {
		return Integer.remainderUnsigned(key.hashCode(), TAB_SIZE);
	}

}
